Download 6.0.6 Release
June 15, 2018
Try
Buy

Collaborative Lifecycle Management

Design, test, analyze, develop, deliver ... integrated by design

Collaborative Lifecycle Management 6.0.4

Product Release / Trial | June 12, 2017
This is not the most recent version. We recommend Collaborative Lifecycle Management 6.0.6 . This is made available for archival purposes and may contain bugs and/or security vulnerabilities. If you do download this version, it is being provided AS IS, without warranties of any kind, including the implied warranties of merchantability and fitness for a particular purpose. We strongly advise you review the support pages for this version and update the product or take actions recommended therein. Security bulletins contain instructions for the security vulnerability addressed therein, and may require upgrading to a newer version. Link to security vulnerability blog: IBM PSIRT blog.

Upgrading to Collaborative Lifecycle Management 6.0.4

Before you upgrade

For a list of changes to the installation and upgrade process, see the CLM and IoT CE 6.0.4 Installation and Upgrade Notes.

If you plan to upgrade to this release, be aware of the following issues:

  • You can upgrade to this release from any version 5 or version 6 release:


  • If the CLM applications to upgrade are co-located in the same WebSphere Application Server profile, on WebSphere Liberty, or on Apache Tomcat, you must upgrade all the applications at the same time.

  • Starting in 6.0.3, the CLM and IoT CE applications require Java 7.1 or later:

    • If you use WebSphere Liberty or Apache Tomcat as your application server, the bundled JRE already contains the correct Java version.
    • If you use WebSphere Application Server, you must ensure that you have the correct version of both the application server and the JRE:


  • On IBM i, if you upgrade from a version 5 release to 6.0.4, the upgrade takes longer than previous upgrades because the database includes structural changes to support new features.

  • If you use Lifecycle Query Engine for reporting, you must reindex your application data sources after you upgrade to version 6.0.4:

    • If you are upgrading from version 6.0.1 or earlier, you must reindex the following application data sources after the upgrade:
      • Rational DOORS Next Generation
      • Rational Team Concert
      • Rational Quality Manager
      • Design Management
      • Global Configuration Management

    • If you are upgrading from version 6.0.2 or later, you must reindex the following application data sources after the upgrade:
      • Rational DOORS Next Generation
      • Rational Team Concert
      • Design Management

    For details, see the Interactive Upgrade Guide.

  • If you are upgrading a version 6 release of Rational DOORS Next Generation or Design Management to version 6.0.4, the Interactive Upgrade Guide instructs you to query for whether artifacts have more than one current version, and, if so, to run the -repairMultipleVersionsMarkedAsCurrent repository tools command before the upgrade. This command addresses a known issue where concurrent changes to an artifact can cause version issues in configurations. The -repairMultipleVersionsMarkedAsCurrent repository tools command is available in the latest interim fix of each version 6 release. You must apply the latest interim fix before you can use the command. If you run the query and it detects more than one current version of an artifact, but the -repairMultipleVersionsMarkedAsCurrent repository tools command is not available, do not upgrade to version 6.0.4.